using System.ComponentModel;

namespace GxPress.EnumConst
{
    /// <summary>
    /// 文件夹类型  文章100,话题2,收藏3,笔记4,通知5,站内信6,小组7,收藏文件夹12,笔记文件夹13,工作流审批14,文件300,图片301,会议纪要8,会议详情500,财务报表601,人事报表602,出版报表603,书籍20,课程30,音频40,期刊50,视频60,名栏90,公众号110,刊期120
    /// </summary>
    public enum AllTypeConst
    {
        [Description("文章")]
        Article = 100,
        [Description("话题")]
        Topic = 2,
        [Description("收藏")]
        Collect = 3,
        [Description("笔记")]
        Note = 4,
        [Description("通知")]
        Notice = 5,
        [Description("站内信")]
        Missive = 6,
        [Description("小组")]
        Group = 7,
        [Description("收藏文件夹")]
        CollectFolder = 12,
        [Description("笔记文件夹")]
        NoteFolder = 13,
        [Description("工作流审批")]
        Flow = 14,
        [Description("文件")]
        File = 300,
        [Description("图片")]
        Image = 2,
        [Description("会议纪要")]
        MeetingSummary = 8,
        [Description("会议详情")]
        Meeting = 500,
        [Description("财务报表")]
        FinanceReport = 601,
        [Description("人事报表")]
        PersonnelReport = 602,
        [Description("出版报表")]
        PublishReport = 603,
        // [Description("文章")]
        // Article = 1,
        [Description("书籍")]
        Book = 20,
        [Description("课程")]
        Curriculum = 30,
        [Description("音频")]
        Audio = 40,
        [Description("期刊")]
        Journal = 50,
        [Description("视频")]
        Video = 60,
        [Description("名栏")]
        StarColumn = 90,
        [Description("公众号")]
        PublicNumber = 110,
        [Description("刊期")]
        Magazine = 120
    }
}